# 32/64bit spec
#
%define origname texstudio

Name:		texstudio
Summary:	A fork of the LaTeX IDE TexMaker
Summary(de):	Ein Fork der LaTeX IDE TexMaker
License:	GPLv2+
Version:	2.12.4
Release:	%mkrel 1
Source0:	http://sourceforge.net/projects/texstudio/files/texstudio/TeXstudio%202.3/%{origname}-%{version}.tar.xz
URL:		http://texstudio.sourceforge.net/
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	qtconcurrent5-devel 
BuildRequires:	qtcore5-devel
BuildRequires:	qtdesigner5-devel
BuildRequires:	qtgui5-devel
BuildRequires:	qtnetwork5-devel
BuildRequires:	qtprintsupport5-devel
BuildRequires:	qtscript5-devel
BuildRequires:	qtsvg5-devel
BuildRequires:	qtwidgets5-devel
BuildRequires:	qtxml5-devel
BuildRequires: 	libx11-devel
BuildRequires:	zlib-devel
BuildRequires:	poppler-qt5-devel
BuildRequires:	desktop-file-utils
Requires:	desktop-file-utils
Requires:	texlive
Requires:	texlive-texmf
Obsoletes:      texmakerx
Obsoletes:	%name < %version


%description
Texstudio is a fork of the LaTeX IDE TexMaker and gives you an environment where
you can easily create and manage LaTeX documents.  It provides modern writing
support, like interactive spell checking, code folding and syntax highlighting.
Also it serves as a starting point from where you can easily run all necessary
LaTeX tools.

%description -l de
Texstudio ist ein Fork der LaTeX IDE TexMaker und bietet Ihnen eine Umgebung mit der
Sie leicht LaTeX Dokumente erstellen und verwalten können. Es bietet eine moderne
Schreibunterstützung, wie interaktive Rechtschreibprüfung, das Einklappen von Codeabschnitten
und die Hervorhebung der Syntax. Ebenfalls ist es ein Startpunkt von dem aus Sie alle
nötigen LaTex Werkzeuge starten können.

%prep
%setup -q -n %{name}%version	

%build
%qmake_qt5 PREFIX=%{_prefix} texstudio.pro 
%make 

%install
%__rm -rf %{buildroot}
make install INSTALL_ROOT=%buildroot

#Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Publishing" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root) 
%{_datadir}/%{origname}/*
%{_datadir}/applications/texstudio.desktop
%{_datadir}/appdata/texstudio.appdata.xml
%{_bindir}/texstudio
%{_iconsdir}/hicolor/scalable/apps/texstudio.svg



%changelog
* Sun Jul 09 2017 adrianomorselli <adrianomorselli> 2.12.4-1uplos2017
- update

* Sat Jun 21 2014 ghostbunny <ghostbunny at gmx dot de> 2.8.0-1pclos2014
- 2.8.0
- add missing texlive R

